Keycloak MySQL support

Hi,

We have an instance of Keycloak 8.0.2 running on MySQL 5.6.44, AWS have issues an EOL notice for 5.6 so we have to upgrade the database.

We tried upgrading to MySQL 8.0 but this resulted in periodic delays of +3s getting a ticket.

So we tried MySQL 5.7 but keycloak will not start on 5.7 at all, throwing Communication link failure exception.

We are intending on moving to Keycloak 13 ASAP but have a window were we need to upgrade MySQL first.

Is there some support matrix between Keycloak Versions & MySQL Versions?

Alan